summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2015-01-24 18:00:48 +0100
committermathieui <mathieui@mathieui.net>2015-01-24 18:00:48 +0100
commit0a7b4360adb26b102d85f3191f1061ce7f8dceb6 (patch)
tree7805fd67d64d726e72cd1397c7bae9e6634b8c67 /update.sh
parent68b7df63398da83cf444012db51868eb43b02685 (diff)
downloadpoezio-0a7b4360adb26b102d85f3191f1061ce7f8dceb6.tar.gz
poezio-0a7b4360adb26b102d85f3191f1061ce7f8dceb6.tar.bz2
poezio-0a7b4360adb26b102d85f3191f1061ce7f8dceb6.tar.xz
poezio-0a7b4360adb26b102d85f3191f1061ce7f8dceb6.zip
Add a check to abort early if the pyvenv command needed in update.sh doesn’t exist
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/update.sh b/update.sh
index dfaadd00..bacd502d 100755
--- a/update.sh
+++ b/update.sh
@@ -16,6 +16,15 @@ if [ -z "$POEZIO_VENV_COMMAND" ]
then
POEZIO_VENV_COMMAND="pyvenv"
fi
+command -v $POEZIO_VENV_COMMAND > /dev/null 2>&1 || {
+ echo "'$POEZIO_VENV_COMMAND' executable not found. Check that you have python (>= 3.4) installed,"
+ echo " and that \$POEZIO_VENV_COMMAND points to a valid virtualenv command."
+ if [ "$POEZIO_VENV_COMMAND" = 'pyvenv' ]; then
+ echo "If your distribution does not provide a 'pyvenv' command, maybe it has another name, like 'pyvenv-3.4'"
+ echo 'Set the $POEZIO_VENV_COMMAND env variable to the name of that executable and this script will use it.'
+ fi
+ exit 1
+}
echo 'Updating poezio'
git pull origin master || {